%define anolis_release 1

%global srcname jaf

%bcond_without bootstrap

Name:           jakarta-activation
Version:        2.1.2
Release:        %{anolis_release}%{?dist}
Summary:        Jakarta Activation Specification and Implementation
License:        EPL-2.0 OR BSD-3-Clause OR GPL-2.0-only WITH Classpath-exception-2.0

URL:            https://eclipse-ee4j.github.io/jaf/
Source0:        https://github.com/eclipse-ee4j/jaf/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

%description
Jakarta Activation lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to
it; discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q -n %{srcname}-api-%{version}

pushd api
%pom_remove_parent

# remove custom doclet configuration
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_plugin -r :buildnumber-maven-plugin
%pom_remove_plugin -r :maven-enforcer-plugin
popd

%build
pushd api
%mvn_build
popd

%install
pushd api
%mvn_install
popd

%files -f api/.mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%files javadoc -f api/.mfiles-javadoc
%license LICENSE.md NOTICE.md

%changelog
* Thu Feb 20 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 2.1.2-1
- update to 2.1.2 from 1.2.1
- Migrated to SPDX license
- Re-enable javadoc generation and reduce dependencies

* Wed Dec 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-2
- rebuild

* Mon Jun 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-1
- Init upstream from version 1.2.1
